%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           hiredis
Version:        0.13.3
Release:        %mkrel 1
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz

%description
Hiredis is a minimalistic C client library for the Redis database.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries

%description -n %{libname}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.0.13
#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n       %{devname}
%doc README.md COPYING
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%setup -q

%build
%setup_compile_flags
%make

%install
%makeinstall_std PREFIX=%{_prefix} LIBRARY_PATH=%{_lib}

# fix pkgconfig file
perl -pi \
    -e 's|^prefix=.*|prefix=%{_prefix}|;' \
    -e 's|^libdir=.*|libdir=%{_libdir}|;' \
    -e 's|^includedir=.*|includedir=%{_includedir}|;' \
    %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

find %{buildroot} -name '*.a' -delete -print


%changelog
* Wed Aug 16 2017 adrianomorselli <adrianomorselli> 0.13.3-1uplos2017
- imported for new freeradius
